# Awesome Vim Color Schemes

Collection of awesome color schemes for Vim, merged for quick use.

## Installation

Use your favorite package-manager to install, and enjoy!

## Color Schemes

| Scheme         | Description | Terminal | GUI |
| -------------- | ------------|:--------:|:---:|
| [256noir] | Dark minimal colors, to avoid distraction | ✓ | ✓ |
| [abstract] | Dark theme based on Abstract app | ✓ | ✓ |
| [afterglow] | Adaptation from Sublime Text | ✓ | ✓ |
| [alduin] | Dark rustic colors | ✓ | ✓ |
| [anderson] | Dark vim colorscheme based on colors from Wes Anderson films | ✓ | ✓ |
| [angr] | Pleasant, mild, dark theme | ✓ | ✓ |
| [ayu-vim] | Simple, bright and elegant theme |   | ✓ |
| [Apprentice] | Dark, low-contrast colorscheme | ✓ | ✓ |
| [Archery] | Vim colorscheme inspired by Arch Linux colors | ✓ | ✓ |
| [Atom] | Designed to be very readable in both light and dark environments |   | ✓ |
| [carbonized] | Inspired by the Carbon keycap set | ✓ (16) | ✓ |
| [challenger-deep] | FlatColor colorscheme | ✓ | ✓ |
| [deep-space] | Intergalactic friendly color scheme based off Hybrid | ✓ | ✓ |
| [deus] | For the late night coder | ✓ | ✓ |
| [dogrun] | Dark purple | ✓ | ✓ |
| [flattened] | Solarized, without the bullshit | ✓ (16) | ✓ |
| [focuspoint] | Maintain color coordination and important keyword focus |   | ✓ |
| [fogbell] | Minimal grey monotone with 3 variants | ✓ | ✓ |
| [github] | Based on Github's syntax highlighting | ✓ | ✓ |
| [gotham] | Very dark vim colorscheme | ✓ | ✓ |
| [gruvbox] | Retro groove color scheme | ✓ | ✓ |
| [happy hacking] | Fairly small set of colors instead of throwing rainbows at your face | ✓ | ✓ |
| [Iceberg] | Dark blue color scheme | ✓ | ✓ |
| [papercolor] | Light and Dark color schemes inspired by Google's Material Design | ✓ | ✓ |
| [parsec] | Color scheme for people tired of solarized  | ✓ (16) | ✓ |
| [scheakur] | A light/dark colorscheme  | ✓ | ✓ |
| [hybrid] | A dark colour scheme for Vim and gVim | ✓ | ✓ |
| [hybrid-material] | Material color scheme based on w0ng/vim-hybrid | ✓ | ✓ |
| [jellybeans] | Colorful, dark color scheme | ✓ | ✓ |
| [lightning] | Light vim colorscheme based on Apprentice | ✓ | ✓ |
| [lucid] | Vivid highlights and friendly, clear colors |   | ✓ |
| [lucius] | Lucius color scheme | ✓ | ✓ |
| [materialbox] | Light and dark material palette inspired based on Gruvbox |   | ✓ |
| [meta5] | Dark colorscheme, inspired by Tron | ✓ | ✓ |
| [minimalist] | Darker version of material theme inspired by Sublime Text | ✓ | ✓ |
| [molokai] | Molokai color scheme | ✓ | ✓ |
| [molokayo] | Very tweaked molokai based theme | ✓ | ✓ |
| [mountaineer] | A dark and adventurous theme | ✓ | ✓ |
| [nord] | An arctic, north-bluish clean and elegant theme | ✓ (16) | ✓ |
| [oceanicnext] | Oceanic Next theme | ✓ | ✓ |
| [oceanic-material] | Material dark colorscheme | ✓ | ✓ |
| [one] | Adaptation of one-light and one-dark | ✓ | ✓ |
| [onedark] | Inspired by Atom's One Dark syntax theme | ✓ | ✓ |
| [onehalf] | Clean, vibrant and pleasing color scheme | ✓ | ✓ |
| [orbital] | Dark blue base16 theme | ✓ | ✓ |
| [paramount] | Minimal colorscheme that only puts emphasis on the paramount | ✓ | ✓ |
| [pink-moon] | Dark pastel theme | ✓ | ✓ |
| [purify] | Clean & vibrant color schemes for Vim, Terminals... | ✓ | ✓ |
| [pyte] | Clean, light (nearly white) theme |   | ✓ |
| [rdark-terminal2] | Modified rdark-terminal to enhance visibility | ✓ |   |
| [seoul256] | Low-contrast color scheme based on Seoul Colors | ✓ | ✓ |
| [sierra] | Dark vintage colors | ✓ | ✓ |
| [solarized8] | Optimized Solarized colorschemes | ✓ (16) | ✓ |
| [sonokai] | Vivid and high contrast based on Monokai Pro | ✓ | ✓ |
| [space-vim-dark] | Dark magenta colors | ✓ | ✓ |
| [spacecamp] | Colors for the final frontier | ✓ | ✓ |
| [sunbather] | Minimal pink colorscheme | ✓ | ✓ |
| [tender] | 24bit colorscheme for Vim | ✓ | ✓ |
| [termschool] | Based on the "codeschool" theme, with lots of tweaks | ✓ | ✓ |
| [twilight256] | Imitates the Twilight theme for TextMate | ✓ | ✓ |
| [two-firewatch] | A blend between duotone light and firewatch (for atom) | ✓ | ✓ |
| [wombat256] | Wombat for 256 color xterms | ✓ | ✓ |

[256noir]: https://github.com/andreasvc/vim-256noir
[abstract]: https://github.com/jdsimcoe/abstract.vim
[afterglow]: https://github.com/danilo-augusto/vim-afterglow
[alduin]: https://github.com/AlessandroYorba/Alduin
[Apprentice]: https://github.com/romainl/Apprentice
[Archery]: https://github.com/Badacadabra/vim-archery
[anderson]: https://github.com/gilgigilgil/anderson.vim
[angr]: https://github.com/zacanger/angr.vim
[Atom]: https://github.com/gregsexton/Atom
[ayu-vim]: https://github.com/ayu-theme/ayu-vim
[carbonized]: https://github.com/nightsense/carbonized
[challenger-deep]: https://github.com/challenger-deep-theme/vim
[deep-space]: https://github.com/tyrannicaltoucan/vim-deep-space
[deus]: https://github.com/ajmwagar/vim-deus
[dogrun]: https://github.com/wadackel/vim-dogrun
[flattened]: https://github.com/romainl/flattened
[focuspoint]: https://github.com/chase/focuspoint-vim
[fogbell]: https://github.com/jaredgorski/fogbell.vim
[github]: https://github.com/endel/vim-github-colorscheme
[gotham]: https://github.com/whatyouhide/vim-gotham
[gruvbox]: https://github.com/morhetz/gruvbox
[happy hacking]: https://github.com/yorickpeterse/happy_hacking.vim
[papercolor]: https://github.com/NLKNguyen/papercolor-theme
[parsec]: https://github.com/keith/parsec.vim
[scheakur]: https://github.com/scheakur/vim-scheakur
[hybrid]: https://github.com/w0ng/vim-hybrid
[hybrid-material]: https://github.com/kristijanhusak/vim-hybrid-material
[Iceberg]: https://github.com/cocopon/iceberg.vim
[jellybeans]: https://github.com/nanotech/jellybeans.vim
[lightning]: https://github.com/wimstefan/Lightning
[lucid]: https://github.com/cseelus/vim-colors-lucid
[lucius]: https://github.com/jonathanfilip/vim-lucius
[materialbox]: https://github.com/mkarmona/materialbox
[meta5]: https://github.com/christophermca/meta5
[minimalist]: https://github.com/dikiaap/minimalist
[molokai]: https://github.com/tomasr/molokai
[molokayo]: https://github.com/fmoralesc/molokayo
[mountaineer]: https://github.com/TheNiteCoder/mountaineer.vim
[nord]: https://github.com/arcticicestudio/nord-vim
[oceanicnext]: https://github.com/mhartington/oceanic-next
[oceanic-material]: https://github.com/hardcoreplayers/oceanic-material
[one]: https://github.com/rakr/vim-one
[onedark]: https://github.com/joshdick/onedark.vim
[onehalf]: https://github.com/sonph/onehalf
[orbital]: https://github.com/fcpg/vim-orbital
[paramount]: https://github.com/owickstrom/vim-colors-paramount
[pink-moon]: https://github.com/sts10/vim-pink-moon
[purify]: https://github.com/kyoz/purify
[pyte]: https://github.com/vim-scripts/pyte
[rdark-terminal2]: https://github.com/vim-scripts/rdark-terminal2.vim
[seoul256]: https://github.com/junegunn/seoul256.vim
[sierra]: https://github.com/AlessandroYorba/Sierra
[solarized8]: https://github.com/lifepillar/vim-solarized8
[sonokai]: https://github.com/sainnhe/sonokai
[space-vim-dark]: https://github.com/liuchengxu/space-vim-dark
[spacecamp]: https://github.com/jaredgorski/SpaceCamp
[sunbather]: https://github.com/nikolvs/vim-sunbather
[tender]: https://github.com/jacoborus/tender.vim
[termschool]: https://github.com/marcopaganini/termschool-vim-theme
[twilight256]: https://github.com/vim-scripts/twilight256.vim
[two-firewatch]: https://github.com/rakr/vim-two-firewatch
[wombat256]: https://github.com/vim-scripts/wombat256.vim

## Other Collections

- [`mcchrish/vim-no-color-collections`](https://github.com/mcchrish/vim-no-color-collections) - List of colorschemes with barely any colors
- [`rainglow/vim`](https://github.com/rainglow/vim) - 320+ color themes for VIM
- [`nightsense/vimspectr`](https://github.com/nightsense/vimspectr) - Assemble your own Vim theme (choose base hue + saturation curve)
- [`chriskempson/base16-vim`](https://github.com/chriskempson/base16-vim) - Syntax highlighting for hackers
- [`mswift42/vim-themes`](https://github.com/mswift42/vim-themes) - Some emacs themes ported to Vim
- [`mkarmona/colorsbox`](https://github.com/mkarmona/colorsbox)
