# Oceanic Material

![OceaniceMaterial](https://user-images.githubusercontent.com/41671631/87221070-e9ea1200-c39b-11ea-90c9-582d2b50ac40.png)

Oceanice_Material is a dark colorscheme for vim/neovim

## Installation

- vim-plug
  ```viml
  Plug 'glepnir/oceanic-material'
  ```
- dein
  ```viml
  call dein#add('glepnir/oceanic-material')
  ```
  Then add this on your vimrc

```viml
set background=dark
colorscheme oceanic_material
```

## Color

| #282c34                                                         | #1b2b34                                                         | #EC5f67                                                         | #d16d92                                                         | #e78a4e                                                         | #d8a657                                                         | #a9b665                                                         |
| --------------------------------------------------------------- | --------------------------------------------------------------- | --------------------------------------------------------------- | --------------------------------------------------------------- | --------------------------------------------------------------- | --------------------------------------------------------------- | --------------------------------------------------------------- |
| ![#282c34](https://via.placeholder.com/80/282c34/000000?text=+) | ![#1b2b34](https://via.placeholder.com/80/1b2b34/000000?text=+) | ![#EC5f67](https://via.placeholder.com/80/EC5f67/000000?text=+) | ![#d16d92](https://via.placeholder.com/80/d16d92/000000?text=+) | ![#e78a4e](https://via.placeholder.com/80/e78a4e/000000?text=+) | ![#d8a657](https://via.placeholder.com/80/d8a657/000000?text=+) | ![#a9b665](https://via.placeholder.com/80/a9b665/000000?text=+) |
| #62b3b2                                                         | #6699cc                                                         | #c594c5                                                         | #5faf5f                                                         | #c0c5ce                                                         | #7c6f64                                                         | #d4be98                                                         |
| ![#62b3b2](https://via.placeholder.com/80/62b3b2/000000?text=+) | ![#6699cc](https://via.placeholder.com/80/6699cc/000000?text=+) | ![#c594c5](https://via.placeholder.com/80/c594c5/000000?text=+) | ![#5faf5f](https://via.placeholder.com/80/5faf5f/000000?text=+) | ![#c0c5ce](https://via.placeholder.com/80/c0c5ce/000000?text=+) | ![#7c6f64](https://via.placeholder.com/80/7c6f64/000000?text=+) | ![#d4be98](https://via.placeholder.com/80/d4be98/000000?text=+) |

## Options

| option                                      | value                                     | default                                             |
| ------------------------------------------- | ----------------------------------------- | --------------------------------------------------- |
| `g:oceanic_material_transparent_background` | 1: enable transparent background          | 0:disable transparent background                    |
| `g:oceanic_material_background`             | 'medium' use `#282c34` color as background | ocean: `#1b2b34` medium: `#282C34` deep:#212112 darker:`#1d1f21` |
| `g:oceanic_material_allow_bold`             | 1: use bold for certain text              | 0: not at all                                       |
| `g:oceanic_material_allow_italic`           | 1: use italic for certain text            | 0: not at all                                       |
| `g:oceanic_material_allow_underline`        | 1: use underline for certain text         | 0: not at all                                       |
| `g:oceanic_material_allow_undercurl`        | 1: use undercurl for certain text         | 0: not at all                                       |
| `g:oceanic_material_allow_reverse`          | 1: use reverse for certain text           | 0: not at all                                       |

## Support Filetype

- Markdown
- vim-restructuredtext
- Html
- Latex
- Xml
- css
- Sass
- scss
- Less
- Javascript
- Typescript
- JavascriptReact TypescriptReact
- Dart
- CoffeeScript
- C/C++
- chromatica
- vim-lsp-cxx-highlight
- ObjectiveC
- Python
- semshi
- lua
- java
- kotlin
- Scala
- Go
- Rust
- Swift
- PHP
- Ruby
- Haskell
- Perl
- Ocaml
- Erlang
- Elixir
- Clojure
- Matlab
- Vimscript
- Makefile
- Json/Toml/Yaml/Ini
- Diff/Git commit

## Support Plugin

- neoclide/coc.nvim
- dense-analysis/ale
- neomake/neomake
- Shougo/denite.nvim
- liuchengxu/vista.vim
- scrooloose/nerdtree
- andymass/vim-matchup
- easymotion/vim-easymotion
- justinmk/vim-sneak
- luochen1990/rainbow
- itchyny/vim-cursorword
- mhinz/vim-startify
- liuchengxu/vim-which-key
- machakann/vim-sandwich
- kristijanhusak/vim-dadbod-ui
- Shougo/defx.nvim
- glepnir/dashboard-nvim

# Donate

Do you like oceanic_material? buy me a coffe 😘!

[![Support via PayPal](https://cdn.rawgit.com/twolfson/paypal-github-button/1.0.0/dist/button.svg)](https://www.paypal.me/bobbyhub)

| Wechat                                                                                                          | AliPay                                                                                                       |
| --------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| ![wechat](https://user-images.githubusercontent.com/41671631/84404718-c8312a00-ac39-11ea-90d7-ee679fbb3705.png) | ![ali](https://user-images.githubusercontent.com/41671631/84403276-1a714b80-ac38-11ea-8607-8492df84e516.png) |

## Thanks to

- [equinusocio/material-theme](https://github.com/equinusocio/material-theme)

- [NLKNguyen/papercolor-theme](https://github.com/NLKNguyen/papercolor-theme)

- [mhartington/oceanic-next](https://github.com/mhartington/oceanic-next)

- [sainnhe/gruvbox-material](https://github.com/sainnhe/gruvbox-material)
